atk.Registry
Prev | The atk Class Reference | Next

## atk.Registry

atk.Registry — an object used to store the GType of the factories used to create an accessible object for an object of a particular GType.

## Synopsis

    class atk.Registry(gobject.GObject):
        def set_factory_type(type, factory_type)
        def get_factory_type(type)
        def get_factory(type)

    Functions

        def atk.get_default_registry()

## Ancestry

    +-- gobject.GObject
      +-- atk.Registry

## atk.Registry Signal Prototypes

gobject.GObject Signal Prototypes

## Description

The `atk.Registry` is normally used to create appropriate ATK "peers" for user interface components. Application developers usually need only interact with the `atk.Registry` by associating appropriate ATK implementation classes with `gobject.GObject` classes via the `set_factory_type`() method, passing the appropriate GType for application custom widget classes.

## Methods

### atk.Registry.set_factory_type

        def set_factory_type(type, factory_type)

`type` : | an `atk.Object` type
`factory_type` : | an `atk.ObjectFactory` type to associate with `type`. Must implement the `atk.Object` appropriate for `type`.

Associate an `atk.ObjectFactory` subclass with a `atk.Object` type. Note: The associated `factory_type` will thereafter be responsible for the creation of new `atk.Object` implementations for instances appropriate for `type`.

### atk.Registry.get_factory_type

        def get_factory_type(type)

`type` : | a `atk.Object` type with which to look up the associated `atk.ObjectFactory` subclass
Returns : | a `atk.ObjectFactory` type associated with `atk.Object` `type`

Returns a `atk.ObjectFactory` subclass associated with `type`.

### atk.Registry.get_factory

        def get_factory(type)

`type` : | a `atk.Object` with which to look up the associated `atk.ObjectFactory`
Returns : | an `atk.ObjectFactory` appropriate for creating `type` `atk.Object`s.

Gets an `atk.ObjectFactory` appropriate for creating `type` `atk.Object`s.

## Functions

### atk.get_default_registry

        def atk.get_default_registry()

Returns : | a default implementation of the `atk.ObjectFactory` type registry

Gets a default implementation of the `atk.ObjectFactory` type registry. Note: For most toolkit maintainers, this will be the correct registry for registering new `atk.Object` factories. Following a call to this function, maintainers may call the `set_factory_type`() method to associate an `atk.ObjectFactory` subclass with the type of objects for whom accessibility information will be provided.

Prev | Up | Next
atk.Rectangle | Home | atk.Relation